Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinBase.SYSTEMTIME

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinBase.SYSTEMTIME

Enclosing class:
  WinBase

    public static class WinBase.SYSTEMTIME

extends com.sun.jna.Structure

Specifies a date and time, using individual members for the month, day, year, weekday, hour, minute, second, and millisecond. The time is either in coordinated universal time (UTC) or local time, depending on the function that is being called. http://msdn.microsoft.com/en-us/library/ms724950(VS.85).aspx

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`short` | `wDay`
`short` | `wDayOfWeek`
`short` | `wHour`
`short` | `wMilliseconds`
`short` | `wMinute`
`short` | `wMonth`
`short` | `wSecond`
`short` | `wYear`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinBase.SYSTEMTIME()`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### wYear

    public short wYear

### wMonth

    public short wMonth

### wDayOfWeek

    public short wDayOfWeek

### wDay

    public short wDay

### wHour

    public short wHour

### wMinute

    public short wMinute

### wSecond

    public short wSecond

### wMilliseconds

    public short wMilliseconds

Constructor Detail

### WinBase.SYSTEMTIME

    public WinBase.SYSTEMTIME()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD